#ifndef OGSE_CONFIG_H
#define OGSE_CONFIG_H

#define SS_DENSITY 1.0
#define SS_INTENSITY 1.0
#define FARPLANE 180.0

uniform sampler2D s_sun_shafts_temp;
uniform sampler2D s_sun_shafts;

float4 convert_to_screen_space(float4 proj)
{
	float4 screen;
	screen.x = (proj.x + proj.w)*0.5;
	screen.y = (proj.w - proj.y)*0.5;
	screen.z = proj.z;
	screen.w = proj.w;
	return screen;
}

float normalize_depth(float depth)
{
	return (saturate(depth/FARPLANE));
}

#endif